package com.kmall.api.service.pingan;

import com.kmall.api.dao.ApiPinganResponseMapper;
import com.kmall.manager.manager.pingan.dto.PinganResponseDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;


/**
 * Service实现类
 *
 * @author emato
 * @email admin@qhdswl.com
 * @date 2018-12-06 15:29:43
 */
@Service
public class ApiPinganResponseService {

    @Autowired
    private ApiPinganResponseMapper apiPinganResponseMapper;

    public PinganResponseDto queryObject(Integer id) {
        return apiPinganResponseMapper.queryObject(id);
    }

    public List<PinganResponseDto> queryList(Map<String, Object> map) {
        return apiPinganResponseMapper.queryList(map);
    }

    public int queryTotal(Map<String, Object> map) {
        return apiPinganResponseMapper.queryTotal(map);
    }

    public int save(PinganResponseDto pinganResponse) {
        return apiPinganResponseMapper.save(pinganResponse);
    }

    public int update(PinganResponseDto pinganResponse) {
        return apiPinganResponseMapper.update(pinganResponse);
    }

    public int delete(Integer id) {
        return apiPinganResponseMapper.delete(id);
    }

    public int deleteBatch(Integer[]ids) {
        return apiPinganResponseMapper.deleteBatch(ids);
    }
}
